### Function

# Aravis set_interface_flags

since: 0.8.23

#### Declaration [src]

    void
    arv_set_interface_flags (
      const char* interface_id,
      int flags
    )

#### Description [src]

Set the device specific flags.

Available since: 0.8.23

#### Parameters

`interface_id`

  Type: `const char*`

  Name of the interface.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `int`

  Interface flags.